Subject: Re: [urn] [Spam-Wahrscheinlichkeit=82] A second cut at the Draft Charter for the proposed URNbis WG

From: "Svensson, Lars" <[email-masked]>
Date: Fri, 4 Jun 2010 14:10:27 +0200

In litteris suis de , Alfred HÎnes <>scripsit:

Dear Alfred,

Thanks for the updated version. I have one major issue with the new draft charter:

>  Uniform Resource Names (URNs) are location-independent, persistent
>  identifiers for information resources.

If URNs can only be used for information resources, we have a problem with e. g. urn:isbn and urn:issn namespaces, since ISBNs and ISSNs don't identify information resources (at least not in the AWWW sense), but rather abstract concepts (an ISBN identifies what the library community refers to as a FRBR manifestation, i. e. -- informally spoken -- a particular version of publication issued by a publisher).

I'd suggest that we leave it open which kinds of resources can be identified by URNs:

[[
Uniform Resource Names (URNs) are location-independent, persistent identifiers.
]]

Thanks and all the best,

Lars

> Uniform Resource Names, Revised (URNbis) -- Draft Proposed WG Charter
> ========================================
> 
> Administrivia
> +++++++++++++
> 
>  Last Modified:  2010-05-20  [AH]
> 
>  Chair(s):
>    o   N.N.
> 
>  Applications Area Director(s):
>    o   Alexey Melnikov  <[email-masked]>
>    o   Peter Saint-Andre  <[email-masked]>
> 
>  Applications Area Advisor:
>    o   N.N.
> 
>  Mailing Lists:
>    o  General Discussion: [email-masked]
>       To Subscribe:
>         https://www.ietf.org/mailman/listinfo/urn
>       Archive:
>         http://www.ietf.org/mail-archive/web/urn/current/maillist.html
> 
>    o  Related lists (used for IANA registration procedures (BCP
>         35/66): [email-masked], [email-masked]
> 
>  Additional information will be available at:
>    http://tools.ietf.org/wg/___
> 
> 
> Description of Working Group
> ++++++++++++++++++++++++++++
> 
>  * * *  Problem Statement  * * *
> 
>  Uniform Resource Names (URNs) are location-independent, persistent
>  identifiers for information resources.
> 
>  The RFCs defining URNs and services based on them were published
>  in 1997-2001, based on old (or even provisional) basic documents
>  on the concepts of URI, URL, and URN, and with almost no 
>  implementation experience. Since then, the URN system has gained
>  significant popularity, and many URN Namespaces have been defined
>  and registered with IANA. Among the more traditional parties with
>  deep interest in persistent identifiers and making heavy use of URNs
>  are national libraries; solely within this area, tens of millions of
>  resources have been assigned URNs; this enables efficient searching
>  of and persistent linking to these documents.  However, the evolving
>  distributed, interlinked URN resolution system being built lacks a
>  fundament that is consistent in terminology and formal description
>  with present (Full) Internet Standards.
> 
>  The core URN RFCs -- RFC 2141 (URN Syntax) and RFC 4306 (Namespace
>  Definition Mechanisms) -- were based on outdated framework documents.
>  For instance, all References in RFC 2141 point to "work in progress"
>  or documents that have been superseded at least once.
>  Most importantly, since RFC 2141 was published before even the
>  now-obsolete RFC 2396 was published, it is based on pre-2396 drafts
>  and should be updated for consistency with the contemporary URI
>  syntax and terminology reflected in STD 66, RFC 3986.  Additionally,
>  since RFC 2141 predates RFC 2234, it uses for its syntax definitions
>  an early form of BNF, not the ABNF commonly used in the IETF (first
>  specified in RFC 2234, later evolved to the current STD 68,
> RFC 5234).
>  All IANA considerations and procedures should now be based on the
>  terminology and rules laid down in BCP 26, RFC 5226.
> 
>  The lack of a formal registration of the 'urn' URI scheme fosters
>  recurring discussions on what URNs are.  Such formal registration
>  is needed to clarify that URNs are specific URIs (namely those using
>  the 'urn' URI scheme) and hence all general rules for URIs apply to
>  URNs, in addition to the common rules for all URNs and particular 
> scheme-specific rules. 
> 
>  Key bibliographic identifier standards are ISBN and ISSN, which are
>  based on ISO standards and cover books and serials, respectively.
>  These ISO standards were revised in 2007 to clarify and extend the
>  underlying namespaces; those changes should be reflected in the URN
>  definitions so as to enable use of the extended forms of these 
>  identifiers in URNs. For materials not covered by ISBN, ISSN, or
>  other formal standards, many national libraries and other
>  institutions apply National Bibliography Numbers (NBNs). Their usage
>  has increased a lot since a related URN namespace was specified in
>  RFC 3188, and the deployment has proven that more flexibility was
>  needed than provided by the RFC -- both for NBN syntax and for the
>  distributed management of these  identifiers. Thus, there is a need
>  to revise these namespace registration to correctly reflect the
> current state of the art. 
> 
>  Other (early) URN namespace definitions should be screened to verify
>  their alignment with the existing and updated base identifier
>  standards and updated RFCs, and to give advice to registrants
>  in case mismatches/deficiencies were detected.
> 
>  The elaborations on URN resolution in early RFCs predate large-scale
>  experience with URIs in general and URNs in particular, and they do
>  predate the consolidation of terms achieved in a joint W3C / IETF
>  collaboration (published for the IETF as RFC 3305).  Hence there is
>  a need to revisit these Informational documents as well and provide
>  updates, if necessary.  It also needs to be determined whether the
>  implementation experiences from project PersID (and other existing
>  URN resolution systems) deserve consolidation towards standardization
>  to further interoperability of services and service user
> applications. 
> 
> 
>  * * *  Objectives for the Working Group  * * *
> 
>  This working group is chartered to update the key RFCs describing the
>  URN system, including RFC 2141 (URN Syntax) and RFC 4306 (Namespace
>  Definition Mechanisms), update selected URN namespace specifications
>  including those for ISBN, NBN and ISSN, and to screen and update RFCs
>  describing URN resolution principles and practices.
>  For all document revisions, the stability of existing identifiers and
>  backward compatibility with previous specifications (as far
> as possible
>  with respect to existing Full Standards) are of foremost importance.
> 
>  Thus, in support of the current international efforts to establish a
>  distributed, linked system of URN resolution systems for
>  bibliographic identifiers, the primary aim of the WG is an updated
>  set of documents, all on the Standards-Track.  These updates are
>  needed to provide a normative foundation and assure uniformity and
> interoperability of the
>  URN assignment and resolution concepts and procedures at the
> abstract  level. 
> 
>  Details and tasks (the WG will approach these tasks in roughly this 
> order): 
> 
>  a)  Core URN specifications
> 
>  For RFC 2141, this revision will include in particular:
>  - an update of the formal syntax specification in the light of the
>    URI Standard (STD 66, RFC 3986) using the ABNF from STD 68    (RFC
>  5234); - a formal IANA registration for the 'urn' URI scheme using
>    the current template from BCP 35 (RFC 4395);
>  - a revised set of URN examples (the WG will determine whether the
>    granted persistence of URNs allows usage of concrete, real-life
>    URN examples -- as desired by implementers -- or whether a URN
>    "example" namespace should be created for this purpose);
>  - and an update of the sections describing how URNs are resolved   
> in the Internet. 
> 
>  RFC 4306 (BCP 66) needs a less pervasive update, mostly to align it
>  with the current IANA procedures and terminology as defined in BCP
> 26  (RFC 5226). 
> 
>  b) URN Namespace specifications
> 
>  The WG will focus on updates for the definitions of URNs based on
>  bibliographic identifier systems, in particular
>  - RFC 3187 (URN Namespace for International Standard Book Numbers),
>  - RFC 3188 (URN Namespace for National Bibliography Numbers), and
>  - RFC 3044 (URN Namespace for International Serial Standard Number).
> 
>  In all these cases, the respective identifier system and/or the
>  institutions and roles involved in their assignment and resolution
>  have evolved since these RFCs have been published (see below for a 
>  sketch). The global importance of these identifier systems makes it
>  highly desirable to have Standards-Track namespace definition
> documents. 
> 
>  In particular, the URN:ISBN namespace needs to be extended according
>  to the revision of the international ISBN standard, ISO 2108: A new
>  version of the ISBN standard was approved in 2007.  Changes to the
>  standard were non-trivial, and a thorough revision of RFC 3187 was 
>    needed. The version -00 of the RFC 3187bis I-D has already been
>    submitted, and the staff of the ISBN International Centre has been
>    informed about the revision, supports this work, and already has
>    approved the technical changes contained in it.
> 
>  The ISSN (International Standard Serial Name) system (ISO 3297)
>  underwent a thorough revision a few years ago. The new version of the
>  standard (2007) introduces ISSN-L (linking ISSN), which makes it
>  necessary to rethink the way in which URN:ISSNs are resolved, and to
>  update RFC 3044 accordingly.  This work to revise RFC 3044 is being
>  performed in co-operation with the ISSN International Centre.
> 
>  The NBN (National Bibliography Number) URN namespace was registered
>  (by RFC 3188) before the national libraries or other users were
>  actually using the URN system. Now that millions of URN:NBNs have
>  been assigned mainly to resources the national libraries have stored
>  in their digital archives, the WG will provide a revised namespace
>  definition RFC that accurately catches the ways in which URN:NBNs are
>  assigned and resolved in practice, and that is aligned with the basic
>  standards and the revised core URN specifications.
> 
>  c)  URN resolution and resolution mechanisms
> 
>  Alongside the modernization of these core RFCs for URNs and specific
>  URN namespaces, the working group will also consider a revision of
>  earlier RFCs related to the principles of URNs and URN resolution,
>  such as RFC 2483 (URI Resolution services necessary for URN
>  resolution), RFC 2276 (Architectural principles of Uniform Resource
>  Name Resolution), RFC 1737 (Functional requirements for Uniform
>  Resource Names) and RFC 2169 (A trivial convention for using HTTP in
>  URN resolution).  All these must be checked; if the document is still
>  deemed relevant, it will be modernized as required to align it with
>  contemporary IETF terminology and the state-of-the-art of URN 
> resolution services. 
> 
>  The working group will also consider the possibility of publishing
>  Best Current Practices on how to resolve the URNs utilizing the
>  existing Internet protocols such as HTTP.  Such BCP will be based on
>  experience from large-scale URN resolution projects, in particular
>  the European URN resolution infrastructure under construction in the
> project PersID. 
> 
>  Since the revised specifications will be based on existing production
>  systems and provide important guidelines for future implementers,
>  the WG aims at publishing the RFCs on the Standards Track
> and will try
>  to advance the core document at least to Draft Standard
> status as fast
>  as possible.
> 
>  d) Further work
> 
>  The WG will offer advice to previous and new registrants of URN
>  namespaces.  It will screen the legacy URN namespace definition
>  documents and will provide advice to their registrants regarding
>  necessary steps to bring these registrations in line with the
>  existing standards and the revised URN core specifications, and
>  regarding other issues, if such are found.
> 
>  The WG can take on work to update well-established URN namespace
>  definitions other than the aforementioned cases of bibliographic
>  identifier based URN namespaces, upon a case-by-case decision, and
>  in collaboration with the respective original registrating party
>  (or its legitimate successor); doing so will require an update to 
> this charter. 
> 
> 
> WG Input / Output
> +++++++++++++++++
> 
> Input documents:
> 
>  RFC 2141
>  RFC 3406
> 
>  RFC 3187
>  RFC 3188
>  RFC 3044
> 
>  RFC 2483
>  RFC 2276
>  RFC 1737
>  RFC 2169
> 
> Goals and Milestones (rough and preliminary):
> 
>  Dec 2010   WG Last Call on "core document set" ( a) + b) above )
>  Feb 2011   core document set forwarded to IESG
>      2011   work on supporting documents (guidelines, URN resolution)
>      2012   implementation report for promoting 2141bis to Draft Std.
> 
> Internet-Drafts:
> 
>  draft-ah-rfc2141bis-urn          (-00: submitted March 2010)
>  draft-hakala-rfc3187bis-isbn-urn (-00: submitted March 2010)
>  draft-hakala-rfc3188bis-nbn-urn  (-00: submitted May 2010)
> 
> Request For Comments:
> 
>  none so far
> 
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

-- 
Dr. Lars G. Svensson
Deutsche Nationalbibliothek
Informationstechnik
Adickesallee 1
60322 Frankfurt
http://www.d-nb.de/

---

From: Alfred Hönes <[email-masked]>
Date: Fri, 4 Jun 2010 20:49:47 +0200 (MESZ)

At Fri, 4 Jun 2010 14:10:27 +0200, Lars Svensson wrote:
> In litteris suis de , Alfred Hönes <>scripsit:
>
> Dear Alfred,
>
> If URNs can only be used for information resources, we have a problem
> with e.  g.  urn:isbn and urn:issn namespaces, since ISBNs and ISSNs
> don't identify information resources (at least not in the AWWW sense),
> but rather abstract concepts (an ISBN identifies what the library
> community refers to as a FRBR manifestation, i.  e.  -- informally
> spoken -- a particular version of publication issued by a publisher).
>
> identifiers.

Lars,
thanks for your comments.

Arguably, books and periodicals _are_ some kind of information
ressources -- at least IMO.  :-)

But admittedly, the word "information" has slipped into the draft
charter inadvertently from a comment received on the first cut,
perhaps without much reflection.
We have been told by wise men to not try to touch on the elaborate
compromise wordings agreed upon during the creation of RFC 2141,
for the definition of the nature and the aim of URNs, and we agree
with that borderline -- because it makes sense, and it should help
focus the intended work in the WG.
Therefore, the related phrases in the rfc2141bis draft are copied
literally from RFC 2141, and I agree that the charter should be
consistent with that draft as well.

So I'll follow your recommendation and adjust my working copy of the
draft charter.

>> <snip>

 (see original posting archived at
  <http://www.IETF.ORG/mail-archive/web/urn/current/msg01431.html> ).

>> <snip/>

MfG / Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+